package com.wechat.callback.processors;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;

import com.wechat.callback.passiveresponses.BasePassiveResponse;
import com.wechat.callback.passiveresponses.ServiceResponse;
import com.wechat.callback.passiveresponses.TextResponse;


/**
 * 多客服
 *
 * @author jt-wu
 */
@Component
public class CustomerServiceProcessor {


    protected static final Log log = LogFactory.getLog(CustomerServiceProcessor.class);
    
    //多客服跳转
    public BasePassiveResponse getCustomerService(String openId) {
        try {
            //用户OpenID
        	ServiceResponse rsp = new ServiceResponse();	
            return rsp;
        }
        catch (Exception e) {
            log.equals(e);
            //系统异常
            return TextResponse.SERVER_ERROR();
        }
    }

}
